pkgname=e2fsprogs
pkgver=1.42.7
pkgrel=1
arch=('x86_64')
install=e2fsprogs.install
source=(http://prdownloads.sourceforge.net/e2fsprogs/e2fsprogs-${pkgver}.tar.gz)
md5sums=('a1ec22ef003688dae9f76c74881b22b9')

build() {
        mkdir ${srcdir}/build
        cd ${srcdir}/build
        ${srcdir}/${pkgname}-${pkgver}/configure \
                --prefix=/usr \
                --with-root-prefix="" \
                --enable-elf-shlibs \
                --disable-libblkid \
                --disable-libuuid \
                --disable-uuidd \
                --disable-fsck 
	make
}

check() {
	cd ${srcdir}/build
	make check 
}

package() {
	cd ${srcdir}/build
	make DESTDIR=${pkgdir} install
        make DESTDIR=${pkgdir} install-libs
        chmod u+w ${pkgdir}/usr/lib/{libcom_err,libe2p,libext2fs,libss}.a
}
